import {
  Controller,
  Get,
  Post,
  Body,
  Request,
  UseGuards,
} from '@nestjs/common';
import { AuthService } from './auth.service';
import { CreateAuthDto } from './dto/create-auth.dto';
import { Public } from 'src/common/public.decorator';
import { jwtAuthGuard } from 'src/jwt/jwt-auth.grard';

@Controller('auth')
export class AuthController {
  constructor(private readonly authService: AuthService) {}
  // 注册
  @Public()
  @Post('/signup')
  signup(@Body() signupData: CreateAuthDto) {
    console.log('>>>>>signupData', signupData);
    return this.authService.signup(signupData);
  }

  // 登录
  @Public()
  @Post('/login')
  login(@Body() loginData: CreateAuthDto) {
    return this.authService.login(loginData);
  }

  @UseGuards(jwtAuthGuard)
  @Get('/user')
  getuserInfo(@Request() req) {
    return this.authService.getUserInfo(req.user.id);
  }
}
