import { IsString, IsNotEmpty, MinLength } from 'class-validator';

export class CreateAuthDto {
  @IsString()
  @IsNotEmpty()
  username: string;

  @IsString()
  @IsNotEmpty()
  @MinLength(6, {
    message: '密码不能少于六位',
  })
  password: string;
}
