import { Injectable, NotFoundException } from '@nestjs/common';
import { Repository } from 'typeorm';
import { CreateBannerDto } from './dto/create-banner.dto';
import { BannerEntity } from './entities/banner.entity';
import { InjectRepository } from '@nestjs/typeorm';

@Injectable()
export class BannerService {
  constructor(
    @InjectRepository(BannerEntity)
    private readonly bannerRepository: Repository<BannerEntity>,
  ) {}
  async create(createBannerDto: CreateBannerDto) {
    const res = await this.bannerRepository.create(createBannerDto);
    await this.bannerRepository.save(res);
    return res;
  }

  findAll() {
    return this.bannerRepository.find();
  }

  findOne(id: number) {
    return `This action returns a #${id} banner`;
  }

  async remove(id: number) {
    const result = await this.bannerRepository.delete(id);
    if (result.affected === 0) {
      throw new NotFoundException(`User with ID ${id} not found`);
    }
    return result;
  }
}
