import {
  Entity,
  PrimaryGeneratedColumn,
  Column,
  CreateDateColumn,
} from 'typeorm';
import { Transform } from 'class-transformer';
import * as dayjs from 'dayjs';
@Entity()
export class BannerEntity {
  @PrimaryGeneratedColumn()
  id: number;

  @Column()
  url: string;

  @Column({ default: '' })
  path: string;

  @Column()
  type: number;

  @CreateDateColumn({ type: 'timestamp' })
  @Transform(({ value }) => dayjs(value).format('YYYY-MM-DD HH:mm:ss'), {
    toPlainOnly: true,
  })
  createTime: Date;
}
