import { ValidationPipe } from '@nestjs/common';
import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { HttpExceptionFilter } from './http-exception/http-exception.filter';
import { TransformInterceptor } from './transoform/transform.interceptor';

async function bootstrap() {
  const app = await NestFactory.create(AppModule);
  // 设置全局路由前缀，例如 'api'
  app.enableCors();
  app.useGlobalPipes(
    new ValidationPipe({
      transform: true,
      whitelist: true,
    }),
  );
  app.useGlobalFilters(new HttpExceptionFilter());
  app.useGlobalInterceptors(new TransformInterceptor());
  // 如果有全局拦截器，确保添加它
  await app.listen(4399);
}
bootstrap();
